
Redmine - Defect #38493

The related issues count on the issue view is not updated after deleting one of the related issues

2023-04-26 01:01 - Takashi Kato

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution:  Affected version: 4.2.9

Description

Attached is a patch to fix it.

(Off topic, but the Affected Version list on the issue submission view does not seem to have been updated).

Associated revisions

Revision 22395 - 2023-10-29 08:31 - Go MAEDA

Fix related issues count not updating after deleting one of the related issues (#38493).

Patch by Takashi Kato.

Revision 22396 - 2023-10-29 12:45 - Go MAEDA

Merged r22395 from trunk to 5.1-stable (#38493).

History

#1 - 2023-04-28 08:06 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to Candidate for next major release

#2 - 2023-05-01 04:56 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#3 - 2023-05-01 10:17 - Go MAEDA

- Target version changed from 5.1.0 to Candidate for next major release

The patch breaks some tests:

Failure:

IssueRelationsControllerTest#test_destroy_xhr [/Users/maeda/redmines/redmine-trunk/test/functional/issue_relat

ions_controller_test.rb:318]:

Expected response to be a <2XX: success>, but was a <404: Not Found>

Response body: <h2>404</h2>

  <p id="errorExplanation">The page you were trying to access doesn&#39;t exist or has been removed.</p>

<p><a href="javascript:history.back()">Back</a></p>

rails test test/functional/issue_relations_controller_test.rb:312

 
Failure:

IssueRelationsControllerTest#test_destroy [/Users/maeda/redmines/redmine-trunk/test/functional/issue_relations

_controller_test.rb:300]:

"IssueRelation.count" didn't change by -1.

Expected: 1

  Actual: 2

rails test test/functional/issue_relations_controller_test.rb:299
Failure:

Redmine::ApiTest::IssueRelationsTest#test_DELETE_/relations/:id.xml_should_delete_the_relation [/Users/maeda/r

edmines/redmine-trunk/test/integration/api_test/issue_relations_test.rb:103]:

"IssueRelation.count" didn't change by -1.

Expected: 1

  Actual: 2

rails test test/integration/api_test/issue_relations_test.rb:102

#4 - 2023-10-27 12:49 - Takashi Kato

- File 0001-Rerender-the-status-of-related-issues.patch added

Sorry, the fixed patch is available

#5 - 2023-10-29 06:54 - Mischa The Evil

- Assignee set to Go MAEDA

Takashi Kato wrote in #note-4:

Sorry, the fixed patch is available

 Thanks! Given the previous scheduling, I think that it would be nice if this could still be included in 5.1.0 now that the patch has been updated/fixed.

Go MAEDA: would you mind to look into this and commit it if it's functioning properly?

#6 - 2023-10-29 07:04 - Mischa The Evil

- Target version changed from Candidate for next major release to 5.1.0

#7 - 2023-10-29 08:36 - Go MAEDA

- Subject changed from When deleting a related issue on the issue view, the related issue count is not updated to The related issues count on the

issue view is not updated after deleting one of the related issues

- Status changed from Confirmed to Closed

Committed the fix in r22395 and merged to the 5.1-stable branch. Thank you all for your contribution.

#8 - 2023-10-29 09:39 - Mischa The Evil

- Status changed from Closed to Reopened

Go MAEDA wrote in #note-7:

Committed the fix in r22395 and merged to the 5.1-stable branch.

 It seems the merge to 5.1-stable hasn't happened yet.

#9 - 2023-10-29 12:46 - Go MAEDA

- Status changed from Reopened to Closed

Mischa The Evil wrote in #note-8:

Go MAEDA wrote in #note-7:

Committed the fix in r22395 and merged to the 5.1-stable branch.

 It seems the merge to 5.1-stable hasn't happened yet.

 Done.

Files

0001-Fix-to-render-related-issues-view-correctly.patch 2.94 KB 2023-04-25 Takashi Kato

0001-Rerender-the-status-of-related-issues.patch 3.35 KB 2023-10-27 Takashi Kato
